> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Notification Preferences

> Upsert notification preferences. Only updates provided fields.



## OpenAPI

````yaml /openapi.json patch /v1/users/notifications
openapi: 3.1.0
info:
  title: AgentPowers API
  description: Paid marketplace for Claude Code skills and agents
  version: 0.1.0
servers:
  - url: https://api.agentpowers.ai
    description: Production
security: []
paths:
  /v1/users/notifications:
    patch:
      tags:
        - users
      summary: Update Notification Preferences
      description: Upsert notification preferences. Only updates provided fields.
      operationId: update_notification_preferences_v1_users_notifications_patch
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NotificationPreferencesUpdate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationPreferences'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    NotificationPreferencesUpdate:
      properties:
        purchase_receipts:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Purchase Receipts
        payout_notifications:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Payout Notifications
        marketing_emails:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Marketing Emails
      type: object
      title: NotificationPreferencesUpdate
      description: Partial update for notification preferences.
    NotificationPreferences:
      properties:
        purchase_receipts:
          type: boolean
          title: Purchase Receipts
          default: true
        payout_notifications:
          type: boolean
          title: Payout Notifications
          default: true
        marketing_emails:
          type: boolean
          title: Marketing Emails
          default: false
      type: object
      title: NotificationPreferences
      description: Notification preference settings.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Provide a Clerk JWT or a long-lived CLI token (prefix `ap_cli_`).  Pass
        as `Authorization: Bearer <token>`.

````